Bug 220897 - net-p2p/bitcoin: Update to 0.14.2
Summary: net-p2p/bitcoin: Update to 0.14.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D11684
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-07-21 07:02 UTC by Kevin Bowling
Modified: 2017-08-12 04:27 UTC (History)
3 users (show)

See Also:
robbak: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Bowling freebsd_committer 2017-07-21 07:02:29 UTC
I put this on phab in case it needs any tweaks https://reviews.freebsd.org/D11684
Comment 1 robbak 2017-07-21 08:35:33 UTC
This looks practically identical to my test builds. If people actually want -core's recent changes, then this will give you them.

Also, it looks like, in a few weeks, the rules on the network will be Segwit2x, which -core's repository doesn't include. It is my view that we should switch to source that does. That should be a matter of changing GH_ACCOUNT to btc1.

So, is there a maintainer flag for 'Sigh, do we have to?'
Comment 2 Kevin Bowling freebsd_committer 2017-07-21 08:39:12 UTC
IMO that would be a separate/slave port.  We shouldn't try to push the politics too hard here.  I'd like to get this in now so we are above 0.13.1, and we can iterate quickly depending on what happens.
Comment 3 robbak 2017-07-21 23:44:48 UTC
(In reply to Kevin Bowling from comment #2)

> We shouldn't try to push the politics too hard here.

We can't avoid it - we have to put something in the port that we call 'bitcoin'. It's a blunt tool, and whatever we do is pushing one side of the politics very hard. That's why I haven't updated this port since the RBF changes were made.
Comment 4 Kevin Bowling freebsd_committer 2017-07-22 00:15:54 UTC
My understanding is btc1 would allow both users and miners to "vote", so that would be fine a a subport

Updating core past 0.13.1 will let users participate in segwit which looks very likely to pass.  If big block passes, then we can either update core again assuming they release and the chain doesn't split, or offer both.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-23 11:54:40 UTC
Once a patch has been discussed/reviewed, please attach it here and record maintainer approval.

Otherwise, this issue is currently pending maintainer direction/feedback.
Comment 6 Kevin Bowling freebsd_committer 2017-08-02 10:06:49 UTC
We know what happened with segwit, UASF, etc this should be merged now.
Comment 7 robbak 2017-08-02 10:57:16 UTC
Yes, OK, much to my dismay, I agree - at the moment, this should go in. Maintainer ++.

Sigh. Looking at Bitcoin is just like looking at climate change. It is depressing how easily people are manipulated. But manipulated they have been, so we have to go along with them.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-03 01:08:54 UTC
Pending review acceptance or attach patch & maintainer-approval(+)
Comment 9 commit-hook freebsd_committer 2017-08-12 03:43:39 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 12 03:43:32 UTC 2017
New revision: 447813
URL: https://svnweb.freebsd.org/changeset/ports/447813

Log:
  net-p2p/bitcoin: Update to 0.14.2

  PR:		220897
  Submitted by:	kbowling
  Approved by:	robbak@robbak.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D11684

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/distinfo
  head/net-p2p/bitcoin/files/patch-src_leveldb_helpers_memenv_memenv.cc
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/bitcoin-utils/Makefile
Comment 10 Steve Wills freebsd_committer 2017-08-12 04:27:25 UTC
Committed, thanks!